Open CASCADE Technology 7.8.0
|
Implements a projector object. To transform and project Points and Planes. This object is designed to be used in the removal of hidden lines and is returned by the Prs3d_Projector::Projector function. You define the projection of the selected shape by calling one of the following functions: More...
#include <HLRAlgo_Projector.hxx>
Public Member Functions | |
HLRAlgo_Projector () | |
HLRAlgo_Projector (const gp_Ax2 &CS) | |
Creates an axonometric projector. <CS> is the viewing coordinate system. | |
HLRAlgo_Projector (const gp_Ax2 &CS, const Standard_Real Focus) | |
Creates a perspective projector. <CS> is the viewing coordinate system. | |
HLRAlgo_Projector (const gp_Trsf &T, const Standard_Boolean Persp, const Standard_Real Focus) | |
build a Projector with automatic minmax directions. | |
HLRAlgo_Projector (const gp_Trsf &T, const Standard_Boolean Persp, const Standard_Real Focus, const gp_Vec2d &v1, const gp_Vec2d &v2, const gp_Vec2d &v3) | |
build a Projector with given minmax directions. | |
void | Set (const gp_Trsf &T, const Standard_Boolean Persp, const Standard_Real Focus) |
void | Directions (gp_Vec2d &D1, gp_Vec2d &D2, gp_Vec2d &D3) const |
void | Scaled (const Standard_Boolean On=Standard_False) |
to compute with the given scale and translation. | |
Standard_Boolean | Perspective () const |
Returns True if there is a perspective transformation. | |
const gp_Trsf & | Transformation () const |
Returns the active transformation. | |
const gp_Trsf & | InvertedTransformation () const |
Returns the active inverted transformation. | |
const gp_Trsf & | FullTransformation () const |
Returns the original transformation. | |
Standard_Real | Focus () const |
Returns the focal length. | |
void | Transform (gp_Vec &D) const |
void | Transform (gp_Pnt &Pnt) const |
void | Project (const gp_Pnt &P, gp_Pnt2d &Pout) const |
Transform and apply perspective if needed. | |
void | Project (const gp_Pnt &P, Standard_Real &X, Standard_Real &Y, Standard_Real &Z) const |
Transform and apply perspective if needed. | |
void | Project (const gp_Pnt &P, const gp_Vec &D1, gp_Pnt2d &Pout, gp_Vec2d &D1out) const |
Transform and apply perspective if needed. | |
gp_Lin | Shoot (const Standard_Real X, const Standard_Real Y) const |
return a line going through the eye towards the 2d point <X,Y>. | |
Implements a projector object. To transform and project Points and Planes. This object is designed to be used in the removal of hidden lines and is returned by the Prs3d_Projector::Projector function. You define the projection of the selected shape by calling one of the following functions:
HLRAlgo_Projector::HLRAlgo_Projector | ( | ) |
Creates an axonometric projector. <CS> is the viewing coordinate system.
HLRAlgo_Projector::HLRAlgo_Projector | ( | const gp_Ax2 & | CS, |
const Standard_Real | Focus | ||
) |
Creates a perspective projector. <CS> is the viewing coordinate system.
HLRAlgo_Projector::HLRAlgo_Projector | ( | const gp_Trsf & | T, |
const Standard_Boolean | Persp, | ||
const Standard_Real | Focus | ||
) |
build a Projector with automatic minmax directions.
HLRAlgo_Projector::HLRAlgo_Projector | ( | const gp_Trsf & | T, |
const Standard_Boolean | Persp, | ||
const Standard_Real | Focus, | ||
const gp_Vec2d & | v1, | ||
const gp_Vec2d & | v2, | ||
const gp_Vec2d & | v3 | ||
) |
build a Projector with given minmax directions.
Standard_Real HLRAlgo_Projector::Focus | ( | ) | const |
Returns the focal length.
Returns the original transformation.
Returns the active inverted transformation.
Standard_Boolean HLRAlgo_Projector::Perspective | ( | ) | const |
Returns True if there is a perspective transformation.
void HLRAlgo_Projector::Project | ( | const gp_Pnt & | P, |
const gp_Vec & | D1, | ||
gp_Pnt2d & | Pout, | ||
gp_Vec2d & | D1out | ||
) | const |
Transform and apply perspective if needed.
Transform and apply perspective if needed.
void HLRAlgo_Projector::Project | ( | const gp_Pnt & | P, |
Standard_Real & | X, | ||
Standard_Real & | Y, | ||
Standard_Real & | Z | ||
) | const |
Transform and apply perspective if needed.
void HLRAlgo_Projector::Scaled | ( | const Standard_Boolean | On = Standard_False | ) |
to compute with the given scale and translation.
void HLRAlgo_Projector::Set | ( | const gp_Trsf & | T, |
const Standard_Boolean | Persp, | ||
const Standard_Real | Focus | ||
) |
gp_Lin HLRAlgo_Projector::Shoot | ( | const Standard_Real | X, |
const Standard_Real | Y | ||
) | const |
return a line going through the eye towards the 2d point <X,Y>.
void HLRAlgo_Projector::Transform | ( | gp_Pnt & | Pnt | ) | const |
void HLRAlgo_Projector::Transform | ( | gp_Vec & | D | ) | const |